
QGIS Application - Bug report #15830

Only synchronize selected features option not working

2016-11-10 07:23 AM - Peter Wells

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Offline editing

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23750

Description

Hi there!

The new 'Only synchronize selected features if a selection is present' option doesn't appear to work:

Steps to reproduce:

1. Open a PostGIS layer

2. Make a selection of features

3. Offline the project, checking the 'Only sync..' option

Expected behaviour:  An offline layer with just my selected features

Actual behaviour:  An offline layer of the whole source layer

(more info below).

Please let me know if there's anything else I can provide to help,

Kind regards,

Pete

Platform: Windows 7 x64, QGIS installed with the standalone installer

QGIS version

2.18.0

QGIS code revision

0332f5a

Compiled against Qt

4.8.5

Running against Qt

4.8.5

Compiled against GDAL/OGR

2.1.1

Running against GDAL/OGR

2.1.1

Compiled against GEOS

3.5.0-CAPI-1.9.0

Running against GEOS

3.5.0-CAPI-1.9.0 r4084
PostgreSQL Client Version

9.2.4

SpatiaLite Version

4.3.0

QWT Version

5.2.3

PROJ.4 Version

493

QScintilla2 Version

2.7.2

PostGIS info:

Version string    PostgreSQL 9.5.1, compiled by Visual C++ build 1800, 64-bit

"POSTGIS="2.2.1 r14555" GEOS="3.5.0-CAPI-1.9.0 r4090" PROJ="Rel. 4.9.1, 04 March 2015" GDAL="GDAL 2.0.1, released

2015/09/15" LIBXML="2.7.8" LIBJSON="0.12" RASTER"

Table definition:

-- Table: td.settlements

-- DROP TABLE td.settlements;

CREATE TABLE td.settlements

(

  id integer NOT NULL DEFAULT nextval('td.settlements_id_seq'::regclass),

  geom geometry(MultiPoint,27700),

  code integer,

  legend character varying(42),

  file_name character varying(16),

  "number" double precision,

  name character varying(180),

  number0 character varying(64),

  admin_name character varying(50),

  type character varying(40),

  ferry_from character varying(50),

  ferry_to character varying(50),

  ferry_time character varying(10),

  ferry_type character varying(20),

  restrictio character varying(20),

  access character varying(30),

  amended date,

  usage character varying(64),

  location character varying(30),

  gis character varying(80),

  owner character varying(60),

  north character varying(60),

  south character varying(60),

  east character varying(60),

  west character varying(60),

  clockwise character varying(60),

  anticlockw character varying(60),

  imperial integer,

  metric integer,
  d date,

  CONSTRAINT settlements_pkey PRIMARY KEY (id)

)

WITH (

  OIDS=FALSE

);

ALTER TABLE td.settlements

  OWNER TO postgres;

-- Index: td.idx_settlements_legend

-- DROP INDEX td.idx_settlements_legend;

CREATE INDEX idx_settlements_legend

  ON td.settlements

  USING btree

  (legend COLLATE pg_catalog."default");

-- Index: td.sidx_settlements_geom

-- DROP INDEX td.sidx_settlements_geom;

CREATE INDEX sidx_settlements_geom

  ON td.settlements

  USING gist

  (geom);

Associated revisions

Revision ed5a2bca - 2016-12-07 02:40 PM - Matthias Kuhn 

[offlineediting] Fix only synchronize selected features option

Fix #15830

Revision ddaf68ef - 2016-12-07 02:42 PM - Matthias Kuhn 

[offlineediting] Fix only synchronize selected features option

Fix #15830

History

#1 - 2016-12-07 05:39 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"ed5a2bca7e908fad45f8c71ebf6519240832e4de".
